import App
import Foundation

# To Do:
# Galaxy's:
# Galaxy - Done
# Dauntless - Done
# Enterprise - Done
# Yamato - Done
# Odyssey - Done
# Challenger - Done

# Ventures:
# Venture - Done
# Cortez - Done

# War Galaxy's:
# Trinculo - Done
# San Fransisco - Done

# Nem Galaxy's:
# YamatoB - Done


# dauntlessID_glow.tga 
# enterpriseID_glow.tga 
# odysseyID_glow.tga 
# ventureID_glow.tga 
# sanfransiscoID_glow.tga 
# cortezID_glow.tga 
# challengerID_glow.tga 
# yamatoID_glow.tga 
# trinculoID_glow.tga 
# yamatoBID_glow.tga 
# defaultID_glow
# The shipdefinition .py files will be called just the name (ie: dauntless.py, venture.py, trinculo.py). The Hardpoint .py files will be called Galaxy.py, Venture.py, and Wargalaxy.py. 

# Galaxy
abbrev = 'Galaxy'
iconName = 'Galaxy'
longName = 'USS Galaxy'
shipFile = 'Galaxy' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Galaxy',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.ScotchyGalaxy = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.ScotchyGalaxy.desc = 'USS Galaxy - NCC-70637'

if menuGroup:           Foundation.ShipDef.ScotchyGalaxy.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.ScotchyGalaxy.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def ScotchyGalaxyIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/galaxyID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/galaxyID_glow.tga"]]}
	return retval

Foundation.ShipDef.ScotchyGalaxy.__dict__["SDT Entry"] = ScotchyGalaxyIDSwap


# Enterprise
abbrev = 'EnterpriseD'
iconName = 'Galaxy'
longName = 'USS Enterprise-D'
shipFile = 'EnterpriseD' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Enterprise-D',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.EnterpriseD = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.EnterpriseD.desc = 'USS Enterprise - NCC-1701-D'

if menuGroup:           Foundation.ShipDef.EnterpriseD.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.EnterpriseD.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def EnterpriseDIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/enterpriseID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/enterpriseID_glow.tga"]]}
	return retval

Foundation.ShipDef.EnterpriseD.__dict__["SDT Entry"] = EnterpriseDIDSwap


# Yamato
abbrev = 'Yamato'
iconName = 'Galaxy'
longName = 'USS Yamato'
shipFile = 'Yamato' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Yamato',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Yamato = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Yamato.desc = 'USS Yamato - NCC-71807'

if menuGroup:           Foundation.ShipDef.Yamato.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Yamato.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def YamatoIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/yamatoID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/yamatoID_glow.tga"]]}
	return retval

Foundation.ShipDef.Yamato.__dict__["SDT Entry"] = YamatoIDSwap



# YamatoB
abbrev = 'YamatoB'
iconName = 'Galaxy'
longName = 'USS Yamato-B'
shipFile = 'YamatoB' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Yamato B',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.YamatoB = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.YamatoB.desc = 'USS Yamato - NCC-71807-B'

if menuGroup:           Foundation.ShipDef.YamatoB.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.YamatoB.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def YamatoBIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/yamatoBID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/yamatoBID_glow.tga"]]}
	return retval

Foundation.ShipDef.YamatoB.__dict__["SDT Entry"] = YamatoBIDSwap



# Odyssey
abbrev = 'Odyssey'
iconName = 'Galaxy'
longName = 'USS Odyssey'
shipFile = 'Odyssey' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Odyssey',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Odyssey = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Odyssey.desc = 'USS Odyssey - NCC-71832'

if menuGroup:           Foundation.ShipDef.Odyssey.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Odyssey.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def OdysseyIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/odysseyID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/odysseyID_glow.tga"]]}
	return retval

Foundation.ShipDef.Odyssey.__dict__["SDT Entry"] = OdysseyIDSwap









# Dauntless
abbrev = 'Dauntless'
iconName = 'Galaxy'
longName = 'USS Dauntless'
shipFile = 'Dauntless' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Dauntless',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Dauntless = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Dauntless.desc = 'USS Dauntless - NCC-71879'

if menuGroup:           Foundation.ShipDef.Dauntless.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Dauntless.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def DauntlessIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/dauntlessID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/dauntlessID_glow.tga"]]}
	return retval

Foundation.ShipDef.Dauntless.__dict__["SDT Entry"] = DauntlessIDSwap








# Challenger
abbrev = 'Challenger'
iconName = 'Galaxy'
longName = 'USS Challenger'
shipFile = 'Challenger' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Venture',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Challenger = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Challenger.desc = 'USS Challenger - NCC-71099'

if menuGroup:           Foundation.ShipDef.Challenger.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Challenger.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def ChallengerIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/challengerID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/challengerID_glow.tga"]]}
	return retval

Foundation.ShipDef.Challenger.__dict__["SDT Entry"] = ChallengerIDSwap








# Venture
abbrev = 'Venture'
iconName = 'Venture'
longName = 'USS Venture'
shipFile = 'Venture' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Venture',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Venture = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Venture.desc = 'USS Venture - NCC-71854'

if menuGroup:           Foundation.ShipDef.Venture.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Venture.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def VentureIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/ventureID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/ventureID_glow.tga"]]}
	return retval

Foundation.ShipDef.Venture.__dict__["SDT Entry"] = VentureIDSwap








# Cortez
abbrev = 'Cortez'
iconName = 'Venture'
longName = 'USS Cortez'
shipFile = 'Cortez' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Cortez',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Cortez = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Cortez.desc = 'USS Cortez - NCC-71825'

if menuGroup:           Foundation.ShipDef.Cortez.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Cortez.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def CortezIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/cortezID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/cortezID_glow.tga"]]}
	return retval

Foundation.ShipDef.Cortez.__dict__["SDT Entry"] = CortezIDSwap









# Trinculo
abbrev = 'Trinculo'
iconName = 'WarGalaxy'
longName = 'USS Trinculo'
shipFile = 'Trinculo' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS Trinculo',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.Trinculo = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.Trinculo.desc = 'USS Trinculo - NCC-71867'

if menuGroup:           Foundation.ShipDef.Trinculo.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Trinculo.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def TrinculoIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/trinculoID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/trinculoID_glow.tga"]]}
	return retval

Foundation.ShipDef.Trinculo.__dict__["SDT Entry"] = TrinculoIDSwap




# San Fransisco
abbrev = 'SanFransisco'
iconName = 'WarGalaxy'
longName = 'USS San Fransisco'
shipFile = 'SanFransisco' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Galaxy Class"
species = App.SPECIES_GALAXY
credits = {
	'modName': 'USS San Fransisco',
	'author': 'Scotchy',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.SanFransisco = Foundation.GalaxyDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, "SubMenu": SubMenu })

# Scotchy, you need to edit the next line. You can add the description between the '' signs. An Enter is \n
Foundation.ShipDef.SanFransisco.desc = 'USS San Fransisco - NCC-69480'

if menuGroup:           Foundation.ShipDef.SanFransisco.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.SanFransisco.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def SanFransiscoIDSwap(self):
	retval = {"Textures": [["defaultID_glow", "Data/Models/SharedTextures/FedShips/high/sanfransiscoID_glow.tga"], ["Dauntless", "Data/Models/SharedTextures/FedShips/high/sanfransiscoID_glow.tga"]]}
	return retval

Foundation.ShipDef.SanFransisco.__dict__["SDT Entry"] = SanFransiscoIDSwap


